Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p1_closure.F90	(revision 5117)
@@ -513,6 +513,6 @@
   DO k = 1, nl
     DO il = 1, ncum
-      ! old       IF (k .ge. icb(il) .and. k .le. inb(il)) THEN
-      ! IM        IF (k .ge. icb(il)+1 .and. k .le. inb(il)) THEN
+      ! old       IF (k .ge. icb(il) .AND. k .le. inb(il)) THEN
+      ! IM        IF (k .ge. icb(il)+1 .AND. k .le. inb(il)) THEN
       IF (k>=icb(il) .AND. k<=inb(il) & !cor jyg
           .AND. icb(il)+1<=inb(il)) THEN !cor jyg
@@ -556,5 +556,5 @@
   DO k=1,nl
      DO il=1,ncum
-        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) THEN
+        IF ((plfc(il)<ph(il,k)).AND.(plfc(il)>=ph(il,k+1))) THEN
            klfc(il)=k
         endif
@@ -569,5 +569,5 @@
 !CR: Add large-scale component to the mass-flux
 !encore connu sous le nom "Experience du tube de dentifrice"
-    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) THEN
+    IF ((coef_clos_ls>0.).AND.(plfc(il)>0.)) THEN
        cbmf1(il) = cbmf1(il) - coef_clos_ls*min(0.,1./RG*omega(il,klfc(il)))
     endif
@@ -589,5 +589,5 @@
       ! else
       ! cbmf(il) = cbmf1(il)
-      ! endif
+      ! END IF
       ! PRINT*,'cbmf',cbmf1(il),cbmfmax(il)
     END IF
@@ -724,5 +724,5 @@
     DO il = 1, ncum
       IF (k>=icb(il) .AND. k<=inb(il)) THEN
-          !IMpropo??      IF ((k.ge.(icb(il)+1)).and.(k.le.inb(il))) THEN
+          !IMpropo??      IF ((k.ge.(icb(il)+1)).AND.(k.le.inb(il))) THEN
         cbmflast(il) = cbmflast(il) + m(il, k)
       END IF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p2_closure.F90	(revision 5117)
@@ -584,6 +584,6 @@
   DO k = 1, nl
     DO il = 1, ncum
-      ! old       IF (k .ge. icb(il) .and. k .le. inb(il)) THEN
-      ! IM        IF (k .ge. icb(il)+1 .and. k .le. inb(il)) THEN
+      ! old       IF (k .ge. icb(il) .AND. k .le. inb(il)) THEN
+      ! IM        IF (k .ge. icb(il)+1 .AND. k .le. inb(il)) THEN
       IF (k>=icb(il) .AND. k<=inb(il) & !cor jyg
           .AND. icb(il)+1<=inb(il)) THEN !cor jyg
@@ -625,5 +625,5 @@
   DO k=1,nl
      DO il=1,ncum
-        if ((plfc(il)<ph(il,k)).and.(plfc(il)>=ph(il,k+1))) THEN
+        IF ((plfc(il)<ph(il,k)).AND.(plfc(il)>=ph(il,k+1))) THEN
            klfc(il)=k
         endif
@@ -638,5 +638,5 @@
 !CR: Add large-scale component to the mass-flux
 !encore connu sous le nom "Experience du tube de dentifrice"
-    if ((coef_clos_ls>0.).and.(plfc(il)>0.)) THEN
+    IF ((coef_clos_ls>0.).AND.(plfc(il)>0.)) THEN
        cbmfalp(il) = cbmfalp(il) - coef_clos_ls*min(0.,1./RG*omega(il,klfc(il)))
     endif
@@ -668,5 +668,5 @@
       ! else
       ! cbmfalpb(il) = cbmfalp(il)
-      ! endif
+      ! END IF
       ! PRINT*,'cbmfalpb',cbmfalp(il),cbmfmax(il)
     END IF
@@ -804,5 +804,5 @@
     DO il = 1, ncum
       IF (k>=icb(il) .AND. k<=inb(il)) THEN
-          !IMpropo??      IF ((k.ge.(icb(il)+1)).and.(k.le.inb(il))) THEN
+          !IMpropo??      IF ((k.ge.(icb(il)+1)).AND.(k.le.inb(il))) THEN
         cbmflast(il) = cbmflast(il) + m(il, k)
       END IF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3p_mixing.F90	(revision 5117)
@@ -251,5 +251,5 @@
     DO il = 1, ncum
       IF ((i>=icb(il)) .AND. (i<=inb(il)) .AND. (nent(il,i)==0)) THEN
-! @      IF(nent(il,i).eq.0)THEN
+! @      IF(nent(il,i).EQ.0)THEN
 !!!       Ment(il,i,i)=m(il,i)
         Ment(il, i, i) = 1.
@@ -522,5 +522,5 @@
     cpm = cpd+Qent(il,i,j)*(cpv-cpd)
 
-    IF (cvflag_ice .and. frac(il,j) > 0.) THEN
+    IF (cvflag_ice .AND. frac(il,j) > 0.) THEN
             elij(il, i, j) = Qent(il, i, j) - rs(il, j)
             elij(il, i, j) = elij(il, i, j) + &
@@ -557,5 +557,5 @@
 !            hent(il, i, j) = hent(il, i, j) + (lv(il,j)+(cpd-cpv)*t(il,j))*awat
 ! Mixed draught temperature at level j
-    IF (cvflag_ice .and. frac(il,j) > 0.) THEN
+    IF (cvflag_ice .AND. frac(il,j) > 0.) THEN
           Tm = t(il,j) + (Qent(il,i,j)-elij(il,i,j)-rs(il,j))*rrv*t(il,j)*t(il,j)/(lv(il,j)*rs(il,j))
           hent(il, i, j) = hent(il, i, j) + (lv(il,j)+frac(il,j)*lf(il,j)+(cpd-cpv)*Tm)*awat
@@ -665,5 +665,5 @@
     DO il = 1, ncum
       IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
+! cc     :     .AND. csum(il,i).lt.m(il,i) ) THEN
         nent(il, i) = 0
 ! cc        Ment(il,i,i)=m(il,i)
@@ -686,5 +686,5 @@
 !jyg!      DO il = 1, ncum
 !jyg!        IF (i>=icb(il) .AND. i<=inb(il) .AND. lwork(il) .AND. csum(il,i)<1.) THEN
-!jyg!! cc     :     .and. csum(il,i).lt.m(il,i) ) THEN
+!jyg!! cc     :     .AND. csum(il,i).lt.m(il,i) ) THEN
 !jyg!          traent(il, i, i, j) = tra(il, nk(il), j)
 !jyg!        END IF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3param.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3param.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3param.h	(revision 5117)
@@ -7,22 +7,22 @@
 !------------------------------------------------------------
 
-      integer flag_epKEorig
-      real flag_wb
-      integer cv_flag_feed
-      integer noff, minorig, nl, nlp, nlm
-      real sigdz, spfac
-      real pbcrit, ptcrit
-      real elcrit, tlcrit
-      real coef_peel
-      real omtrain
-      real dtovsh, dpbase, dttrig
-      real dtcrit, tau, beta, alpha, alpha1
-      real T_top_max
-      real tau_stop, noconv_stop
-      real wbmax
-      real delta
-      real betad
-      real ejectliq
-      real ejectice
+      INTEGER flag_epKEorig
+      REAL flag_wb
+      INTEGER cv_flag_feed
+      INTEGER noff, minorig, nl, nlp, nlm
+      REAL sigdz, spfac
+      REAL pbcrit, ptcrit
+      REAL elcrit, tlcrit
+      REAL coef_peel
+      REAL omtrain
+      REAL dtovsh, dpbase, dttrig
+      REAL dtcrit, tau, beta, alpha, alpha1
+      REAL T_top_max
+      REAL tau_stop, noconv_stop
+      REAL wbmax
+      REAL delta
+      REAL betad
+      REAL ejectliq
+      REAL ejectice
 
       COMMON /cv3param/ sigdz, spfac &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5117)
@@ -592,8 +592,8 @@
         ! PRINT*,tp(i,k),ah0(i),cl,cpd,qnk(i),t(i,k),gz(i,k),alv,qg,cpd
         tp(i, k) = (ah0(i)-(cl-cpd)*qnk(i)*t(i,k)-gz(i,k)-alv*qg)/cpd
-        ! if (.not.cpd.gt.1000.) THEN
+        ! if (.NOT.cpd.gt.1000.) THEN
         ! PRINT*,'CPD=',cpd
         ! stop
-        ! endif
+        ! END IF
         clw(i, k) = qnk(i) - qg
         clw(i, k) = max(0.0, clw(i,k))
@@ -671,6 +671,6 @@
   ! inb(i)=k+1
   ! capem(i)=cape(i)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
@@ -698,6 +698,6 @@
   ! capem(i)=cape(i)
   ! byp(i)=(tvp(i,k+1)-tv(i,k+1))*dph(i,k+1)/p(i,k+1)
-  ! endif
-  ! endif
+  ! END IF
+  ! END IF
   ! 520    continue
   ! 530  continue
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cva_driver.F90	(revision 5117)
@@ -691,5 +691,5 @@
     END IF
 ! PRINT*,'t1, q1 ',t1,q1
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1, q1, p1, ph1, &           ! nd->na
@@ -697,5 +697,5 @@
 
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1_wake, q1_wake, p1, ph1, & ! nd->na
@@ -707,5 +707,5 @@
   IF (iflag_con==4) THEN
     PRINT *, 'Emanuel version 4 '
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_prelim'
     CALL cv_prelim(len, nd, ndp1, t1, q1, p1, ph1, &
@@ -752,5 +752,5 @@
 ! WRITE(*,'(64i1)') iflag1(2:len-1)
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_feed'
     CALL cv3_feed(len, nd, ok_conserv_q, &                 ! nd->na
@@ -766,5 +766,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_feed'
     CALL cv_feed(len, nd, t1, q1, qs1, p1, hm1, gz1, &
@@ -783,5 +783,5 @@
   IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_undilute1'
     CALL cv3_undilute1(len, nd, t1, qs1, gz1, plcl1, p1, icb1, tnk1, qnk1, & ! nd->na
@@ -791,5 +791,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_undilute1'
     CALL cv_undilute1(len, nd, t1, q1, qs1, gz1, p1, nk1, icb1, icbmax, &
@@ -805,5 +805,5 @@
   IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_trigger'
     CALL cv3_trigger(len, nd, icb1, plcl1, p1, th1, tv1, tvp1, thnk1, & ! nd->na
@@ -819,5 +819,5 @@
 
   IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_trigger'
     CALL cv_trigger(len, nd, icb1, cbmf1, tv1, tvp1, iflag1)
@@ -860,5 +860,5 @@
   compress = ncum < len*comp_threshold
 
-  IF (.not. compress) THEN
+  IF (.NOT. compress) THEN
     DO i = 1,len
       idcum(i) = i
@@ -867,5 +867,5 @@
 
 !>jyg
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3a_compress'
       CALL cv3a_compress(len, nloc, ncum, nd, ntra, compress, &
@@ -897,5 +897,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_compress'
       CALL cv_compress(len, nloc, ncum, nd, &
@@ -921,5 +921,5 @@
 
     IF (iflag_con==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_undilute2'
       CALL cv3_undilute2(nloc, ncum, nd, iflag, icb, icbs, nk, &        !na->nd
@@ -931,5 +931,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_undilute2'
       CALL cv_undilute2(nloc, ncum, nd, icb, nk, &
@@ -941,5 +941,5 @@
     ! epmax_cape
     ! on recalcule ep et hp    
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_epmax_cape'
     CALL cv3_epmax_fn_cape(nloc,ncum,nd &
@@ -959,5 +959,5 @@
       IF (iflag_mix>=1) THEN
         CALL zilch(supmax, nloc*nd)
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p_mixing'
         CALL cv3p_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &           ! na->nd
@@ -980,5 +980,5 @@
     IF (iflag_con==3) THEN
       IF (iflag_clos==0) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_closure'
         CALL cv3_closure(nloc, ncum, nd, icb, inb, &           ! na->nd
@@ -998,5 +998,5 @@
 
       IF (iflag_clos==2) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p1_closure'
         CALL cv3p1_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
@@ -1006,10 +1006,10 @@
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
-        if (prt_level >= 10) &
+        IF (prt_level >= 10) &
              PRINT *, 'cv3p1_closure-> plfc,wbeff ', plfc(1), wbeff(1)
       END IF   ! iflag_clos==2
 
       IF (iflag_clos==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3p2_closure'
         CALL cv3p2_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
@@ -1019,5 +1019,5 @@
                            Plim1, plim2, asupmax, supmax0, &
                            asupmaxmin, cbmf, plfc, wbeff)
-        if (prt_level >= 10) &
+        IF (prt_level >= 10) &
              PRINT *, 'cv3p2_closure-> plfc,wbeff ', plfc(1), wbeff(1)
       END IF   ! iflag_clos==3
@@ -1025,5 +1025,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_closure'
       CALL cv_closure(nloc, ncum, nd, nk, icb, &
@@ -1040,5 +1040,5 @@
     IF (iflag_con==3) THEN
       IF (iflag_mix==0) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_mixing'
         CALL cv3_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &             ! na->nd
@@ -1062,5 +1062,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_mixing'
       CALL cv_mixing(nloc, ncum, nd, icb, nk, inb, inbis, &
@@ -1085,5 +1085,5 @@
       END IF !(debut) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_unsat'
       CALL cv3_unsat(nloc, ncum, nd, nd, ntra, icb, inb, iflag, &              ! na->nd
@@ -1114,5 +1114,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_unsat'
       CALL cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, &
@@ -1135,5 +1135,5 @@
     IF (iflag_con==3) THEN
 
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_yield'
       CALL cv3_yield(nloc, ncum, nd, nd, ntra, ok_conserv_q, &                      ! na->nd
@@ -1169,5 +1169,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_yield'
       CALL cv_yield(nloc, ncum, nd, nk, icb, inb, delt, &
@@ -1189,5 +1189,5 @@
     IF (iflag_con==3) THEN
 !RomP >>>
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3_tracer'
       CALL cv3_tracer(nloc, len, ncum, nd, nd, &
@@ -1206,5 +1206,5 @@
 
     IF (iflag_con==3) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv3a_uncompress'
       CALL cv3a_uncompress(nloc, len, ncum, nd, ntra, idcum, compress, &
@@ -1246,5 +1246,5 @@
 
     IF (iflag_con==4) THEN
-        if (prt_level >= 9) &
+        IF (prt_level >= 9) &
              PRINT *, 'cva_driver -> cv_uncompress'
       CALL cv_uncompress(nloc, len, ncum, nd, idcum, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvflag.h	(revision 5117)
@@ -2,16 +2,16 @@
 ! $Header$
 
-      logical cvflag_grav
-      logical cvflag_ice
-      logical ok_optim_yield
-      logical ok_entrain
-      logical ok_homo_tend
-      logical ok_convstop
-      logical ok_intermittent
-      logical cvflag_prec_eject
-      logical qsat_depends_on_qt
-      logical adiab_ascent_mass_flux_depends_on_ejectliq
-      logical keepbug_ice_frac
-      integer icvflag_Tpa
+      LOGICAL cvflag_grav
+      LOGICAL cvflag_ice
+      LOGICAL ok_optim_yield
+      LOGICAL ok_entrain
+      LOGICAL ok_homo_tend
+      LOGICAL ok_convstop
+      LOGICAL ok_intermittent
+      LOGICAL cvflag_prec_eject
+      LOGICAL qsat_depends_on_qt
+      LOGICAL adiab_ascent_mass_flux_depends_on_ejectliq
+      LOGICAL keepbug_ice_frac
+      INTEGER icvflag_Tpa
 
       COMMON /cvflag/ icvflag_Tpa, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr.F90	(revision 5117)
@@ -141,5 +141,5 @@
 !   ccntrENV_coef    = 0.
 !   coefcoli         = 0.
-!  endif
+!  ENDIF
 
 ! ======================================================
@@ -258,5 +258,5 @@
    DO i = 1,klon
      NO_precip(i,j) = (pmflxr(i,j+1)+pmflxs(i,j+1))<1.e-10&
-                    .and.Pa(i,j)<1.e-10.and.Pm(i,j)<1.e-10
+                    .AND.Pa(i,j)<1.e-10.AND.Pm(i,j)<1.e-10
    END DO
   END DO
@@ -397,5 +397,5 @@
   DO j=1,klev
      DO i=1,klon
-        IF(j>=icb(i).and.j<=inb(i)) THEN
+        IF(j>=icb(i).AND.j<=inb(i)) THEN
           IF(clw(i,j)>1.e-16) THEN
            qPa(i,j,it)=ccntrAA_coef*tr(i,1,it)/clw(i,j)
@@ -413,5 +413,5 @@
       DO k=1,j-1
         DO i=1,klon
-        IF(k>=icb(i).and.k<=inb(i).and.&
+        IF(k>=icb(i).AND.k<=inb(i).AND.&
            j<=inb(i)) THEN
             IF(elij(i,k,j)>1.e-16) THEN
@@ -442,10 +442,10 @@
    DO j=klev-1,1,-1
     DO i=1,klon
-     IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then  ! detrainement
+     IF(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) then  ! detrainement
        kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
                 (-mp(i,j+1)-imp(i,j)/RG*dxpres(i,j))&
                 + (imp(i,j)/RG*dxpres(i,j))*(evap(i,j)/RG*dxpres(i,j)))
              
-     elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
+     elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) then! entrainement
        IF(j==1) THEN
         kappa(i,j)=((pmflxr(i,j+1)+pmflxs(i,j+1)+Pa(i,j)+Pm(i,j))*&
@@ -465,11 +465,11 @@
   DO j=klev-1,1,-1
    DO i=1,klon
-    if (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
+    IF (abs(kappa(i,j))<1.e-25) then    !si denominateur nul (il peut y avoir des mp!=0)
      kappa(i,j)=1.
      IF(j==1) THEN
        qDi(i,j,it)=qDi(i,j+1,it) !orig tr(i,j,it)   ! mp(1)=0 donc tout vient de la couche supérieure
-     elseif(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) THEN
+     elseif(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) THEN
        qDi(i,j,it)=qDi(i,j+1,it)
-     elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) then! entrainement
+     elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) then! entrainement
        qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
      else  ! si  mp (i)=0 et mp(j+1)=0
@@ -527,8 +527,8 @@
       endif  !mp(2) nul ou non
 
-! vvv  (j!=1.and.j.lt.inb(i))  en-dessous du sommet nuage   vvv
+! vvv  (j!=1.AND.j.lt.inb(i))  en-dessous du sommet nuage   vvv
      else 
 !------------------------------------------------------------- detrainement 
-      IF(mp(i,j+1)>mp(i,j).and.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
+      IF(mp(i,j+1)>mp(i,j).AND.mp(i,j+1)>1.e-10) then !mp(i,j).gt.1.e-10) THEN
          IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=qDi(i,j+1,it)
@@ -548,5 +548,5 @@
          endif !precip
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,j)>mp(i,j+1).and.mp(i,j)>1.e-10) THEN
+      elseif(mp(i,j)>mp(i,j+1).AND.mp(i,j)>1.e-10) THEN
          IF(NO_precip(i,j)) THEN
           qDi(i,j,it)=(-mp(i,j+1)*(qDi(i,j+1,it)-tr(i,j,it))-mp(i,j)*tr(i,j,it))/(-mp(i,j))
@@ -566,5 +566,5 @@
             (imp(i,j)/RG*dxpres(i,j)))
          endif !precip
-!------------------------------------------------------------- endif ! ent/det
+!------------------------------------------------------------- END IF ! ent/det
       else  !mp nul
         qDi(i,j,it)=tr(i,j,it) ! orig 0.
@@ -586,5 +586,5 @@
 !  DO j=klev,1,-1
 !   DO i=1,klon
-!     IF(it.eq.3) THEN
+!     IF(it.EQ.3) THEN
 !   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
 !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
@@ -614,19 +614,19 @@
                -zmfdam(i,k,it)*ccntrAA_coef
 ! lessivage courants insatures
-   IF(k<=inb(i).and.k>1) then   ! tendances dans le nuage
+   IF(k<=inb(i).AND.k>1) then   ! tendances dans le nuage
 !------------------------------------------------------------- detrainement
-      IF(mp(i,k+1)>mp(i,k).and.mp(i,k+1)>1.e-10) THEN
+      IF(mp(i,k+1)>mp(i,k).AND.mp(i,k+1)>1.e-10) THEN
         uscavtrac= (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))&
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+!        IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
 !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
 !                    'mp',mp(i,k)
 !------------------------------------------------------------- entrainement 
-      elseif(mp(i,k)>mp(i,k+1).and.mp(i,k)>1.e-10) THEN
+      elseif(mp(i,k)>mp(i,k+1).AND.mp(i,k)>1.e-10) THEN
          uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
 !=!------------------------------------------------------------- end ent/det 
       else !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
@@ -634,8 +634,8 @@
         IF(NO_precip(i,k)) THEN
           uscavtrac=0.
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         else
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
         endif
       endif  ! mp/det/ent
@@ -646,5 +646,5 @@
 !                   + mp(i,2)*(0.-tr(i,k,it))
 
-!       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+!       IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
 !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
 !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
@@ -656,5 +656,5 @@
           uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
         endif
-!         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+!         IF(it.EQ.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
       endif
 
@@ -686,5 +686,5 @@
 !        (paprs(i,k)-paprs(i,k+1))/RG
 
-!      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+!      IF(it.EQ.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
 !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
 !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -692,5 +692,5 @@
 !        ENDDO
 !      ENDDO
-!       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+!       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_noscav.F90	(revision 5117)
@@ -40,9 +40,9 @@
   REAL                            :: pdtimeRG
   REAL                            :: smallest_mp
-  real conserv
-  real smfd
-  real smfu
-  real smfa
-  real smfp
+  REAL conserv
+  REAL smfd
+  REAL smfu
+  REAL smfa
+  REAL smfp
 ! =========================================
 ! calcul des tendances liees au downdraft
@@ -88,5 +88,5 @@
      DO j=k-1,1,-1
         DO i=1,klon
-!!           IF(mp(i,j+1).ne.0) THEN
+!!           IF(mp(i,j+1).NE.0) THEN
 !!              zmd(i,j,k)=zmd(i,j+1,k)*min(1.,mp(i,j)/mp(i,j+1))
 !!           ENDif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cvltr_scav.F90	(revision 5117)
@@ -586,5 +586,5 @@
   !  DO j=klev,1,-1
   !   DO i=1,klon
-  !     IF(it.eq.3) THEN
+  !     IF(it.EQ.3) THEN
   !   WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') j,&
   !!         'zmfdam',zmfdam(i,j,it),'zmfpsi',zmfphi2(i,j,it),&
@@ -623,5 +623,5 @@
                    + mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-              !        IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
+              !        IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' det incloud',&
               !                    (-mp(i,k)+mp(i,k+1))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
               !                    mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
@@ -631,5 +631,5 @@
               uscavtrac= mp(i,k)*(tr(i,k-1,it)-tr(i,k,it))
 
-              !         IF(it.eq.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+              !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,5X,e20.12,82X,a,e20.12)')k,' ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
               !=!------------------------------------------------------------- end ent/det 
            ELSE !        mp(i,k+1)=0. et mp(i,k)=0.    pluie directement sur l environnement
@@ -637,14 +637,14 @@
               IF(NO_precip(i,k)) THEN
                  uscavtrac=0.
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,82X,a,e20.12)')k,' no P ent incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
               ELSE
                  uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
                  !!JE adds
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
-                 !         IF(it.eq.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'imp',imp(i,k)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'tr',tr(i,k,it)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'evap',evap(i,k)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'qPr',qPr(i,k,it)
+                 !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,3X,e20.12,82X,a,e20.12)')k,' P env incloud',uscavtrac, 'dxpres',dxpres(i,k)
                  !!Je end
 
@@ -657,5 +657,5 @@
               !                   + mp(i,2)*(0.-tr(i,k,it))
 
-              !       IF(it.eq.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
+              !       IF(it.EQ.3) WRITE(*,'(I2,1X,a,e20.12,84X,a,e20.12)')k,' 1 det',&
               !                  (-0.+mp(i,2))*(qDi(i,k,it)-tr(i,k,it))*pdtimeRG/dxpres(i,k)+&
               !                  mp(i,2)*(0.-tr(i,k,it))*pdtimeRG/dxpres(i,k),&
@@ -667,5 +667,5 @@
                  uscavtrac=-imp(i,k)*tr(i,k,it)*dxpres(i,k)/RG+evap(i,k)*qPr(i,k,it)*dxpres(i,k)/RG
               ENDIF
-              !         IF(it.eq.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
+              !         IF(it.EQ.3) WRITE(*,'(I2,1X,a,2X,e20.12,82X,a,e20.12)')k,'1 P env incloud',uscavtrac*pdtimeRG/dxpres(i,k), 'mp',mp(i,k)
            ENDIF
 
@@ -697,5 +697,5 @@
   !        (paprs(i,k)-paprs(i,k+1))/RG
 
-  !      IF(it.eq.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
+  !      IF(it.EQ.3)  WRITE(*,'(I2,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12,2X,a,e20.12)') k,&
   !         'MA td ',dtrcvMA(i,k,it)*dxpres(i,k)/RG,&
   !         ' td',dtrcv(i,k,it)*dxpres(i,k)/RG,'         conservMA ',conservMA,'conserv ',conserv
@@ -703,5 +703,5 @@
   !        ENDDO
   !      ENDDO
-  !       IF(it.eq.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
+  !       IF(it.EQ.3) print *,'it',it,'conserv ',conserv,'conservMA ',conservMA
 
 END SUBROUTINE cvltr_scav
